#include "model_object.h"

namespace maps {
namespace wiki {

Model3dObject::Model3dObject(const TRevisionId& id, ObjectsCache& cache)
    : ComplexObject(id, cache)
{}

void
Model3dObject::applyProcessor(ObjectProcessor& processor)
{
    processor.processModel3dObject(this);
}

bool Model3dObject::syncView() const
{
    return false;
}

} // namespace wiki
} // namespace maps
